/* v1.2 */
function navbar_default_hover_focus(){
	// Hover
	$('.navbar-default .navbar-brand, .navbar-default .navbar-nav>li>a').hover(function(){
		$(this).css('color', '#E0E0E0');
	}, function() {
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-default .navbar-nav>.open>a, .navbar-default .dropdown-menu>li>a, .navbar-default .navbar-nav .open .dropdown-menu>li>a').hover(function() {
		$(this).css('background', '#00B599');
		$(this).css('color', '#FFFFFF');
	}, function(){	
		$(this).css('background', '#00CFAF');
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-default .navbar-nav .dropdown-menu>.disabled>a, .navbar-default .navbar-nav .open .dropdown-menu>.disabled>a').hover(function(){
		$(this).css('color', '#E0E0E0');
	}, function(){
		$(this).css('color', '#E0E0E0');
	});

	$('.navbar-default .btn').hover(function(){
		$(this).css({
			'border-color': '#00D9C0',
			'background': '#00D9C0',
			'color': '#FFFFFF'
		});
	}, function(){
		$(this).css({
			'border-color': '#00CFAF',
			'background': '#00CFAF',
			'color': '#FFFFFF'
		});
	});

	$('.navbar-default .navbar-nav>.dropdown>a').hover(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#E0E0E0',
			'border-bottom-color': '#E0E0E0'
		});
	}, function() {
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-default .navbar-nav>.open>a').hover(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	}, function() {
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-default .navbar-toggle').hover(function(){ 
		$(this).css({
			'outline': 'none',
			'background-color': '#00B599',
			'border-color': '#00B599'
		});
	});

	// Focus 
	$('.navbar-default .navbar-nav>li>a').focus(function(){
		$(this).css('color', '#E0E0E0');
	});

	$('.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.open>a, .navbar-default .dropdown-menu>li>a, .navbar-default .navbar-nav .open .dropdown-menu>li>a').focus(function(){
		$(this).css('background', '#00B599');
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-default .btn').focus(function(){ 
		$(this).css({
			'box-shadow': 'none',
			'outline': 'none',
			'border-color': '#00B599',
			'background': '#00B599',
			'color': '#FFFFFF'
		});
	});

	$('.navbar-default .navbar-nav>.dropdown>a').focus(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#E0E0E0',
			'border-bottom-color': '#E0E0E0'
		});
	});

	$('.navbar-default .navbar-nav>.open>a').focus(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-default .navbar-toggle').focus(function(){
		$(this).css({
			'outline': 'none',
			'background-color': '#00B599',
			'border-color': '#00B599'
		});
	});

	$('.navbar-default .form-control').focus(function(){
		$(this).css({ 
			'border': '1px solid #00CFAF',
			'box-shadow': 'none'		
		});
	});

	$('.navbar-default .form-control').focusout(function(){
		$(this).css('border-color', 'transparent');
	});
}

function navbar_inverse_hover_focus(){
	// Hover
	$('.navbar-inverse .navbar-brand, .navbar-inverse .navbar-nav>li>a').hover(function(){
		$(this).css('color', '#00CFAF');
	}, function() {
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-inverse .navbar-nav>.open>a, .navbar-inverse .dropdown-menu>li>a, .navbar-inverse .navbar-nav .open .dropdown-menu>li>a').hover(function() {
		$(this).css('background', '#00CFAF');
		$(this).css('color', '#FFFFFF');
	}, function(){	
		$(this).css('background', '#34495E');
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-inverse .navbar-nav .dropdown-menu>.disabled>a, .navbar-inverse .navbar-nav .open .dropdown-menu>.disabled>a').hover(function(){
		$(this).css('color', '#6F7982');
	}, function(){
		$(this).css('color', '#6F7982');
	});

	$('.navbar-inverse .btn').hover(function(){
		$(this).css({
			'border-color': '#00D9C0',
			'background': '#00D9C0',
			'color': '#FFFFFF'
		});
	}, function(){
		$(this).css({
			'border-color': '#00CFAF',
			'background': '#00CFAF',
			'color': '#FFFFFF'
		});
	});

	$('.navbar-inverse .navbar-nav>.dropdown>a').hover(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#00CFAF',
			'border-bottom-color': '#00CFAF'
		});
	}, function() {
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-inverse .navbar-nav>.open>a').hover(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	}, function() {
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-inverse .navbar-toggle').hover(function(){ 
		$(this).css({
			'outline': 'none',
			'background-color': '#2C3E50',
			'border-color': '#2C3E50'
		});
	});

	// Focus 
	$('.navbar-inverse .navbar-nav>li>a').focus(function(){
		$(this).css('color', '#00CFAF');
	});

	$('.navbar-inverse .navbar-nav>.active>a, .navbar-inverse .navbar-nav>.open>a, .navbar-inverse .dropdown-menu>li>a, .navbar-inverse .navbar-nav .open .dropdown-menu>li>a').focus(function(){
		$(this).css('background', '#00CFAF');
		$(this).css('color', '#FFFFFF');
	});

	$('.navbar-inverse .btn').focus(function(){ 
		$(this).css({
			'box-shadow': 'none',
			'outline': 'none',
			'border-color': '#00B599',
			'background': '#00B599',
			'color': '#FFFFFF'
		});
	});

	$('.navbar-inverse .navbar-nav>.dropdown>a').focus(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#00CFAF',
			'border-bottom-color': '#00CFAF'
		});
	});

	$('.navbar-inverse .navbar-nav>.open>a').focus(function(){ 
		$(this).find('.caret').css({
			'border-top-color': '#FFFFFF',
			'border-bottom-color': '#FFFFFF'
		});
	});

	$('.navbar-inverse .navbar-toggle').focus(function(){
		$(this).css({
			'outline': 'none',
			'background-color': '#2C3E50',
			'border-color': '#2C3E50'
		});
	});

	$('.navbar-inverse .form-control').focus(function(){
		$(this).css({ 
			'border': '1px solid #00CFAF',
			'box-shadow': 'none'		
		});
	});

	$('.navbar-inverse .form-control').focusout(function(){
		$(this).css('border-color', 'transparent');
	});
}

$(document).on('ready', function(){
	/** Global **/
	var userAgent = navigator.userAgent.toString().toLowerCase(); // Get browser
	var font_url = "http://fonts.googleapis.com/css?family=Oleo+Script+Swash+Caps:700";

	$('head').append('<link rel="stylesheet" href="' + font_url + '">');

	$('.navbar').css('border', 'none');

	$('.dropdown-menu').css({
		'border': 'none',
		'box-shadow': 'none'
	});

	$('.dropdown-submenu').css('position', 'relative');

	$('.dropdown-submenu .dropdown-menu').css({
		'display': 'none',
		'position': 'absolute',
		'margin-left': '1px',
		'top': '-7px',
		'left': '100%'
	});

	$('.dropdown-submenu .caret').css({
		'border-top-color': '#FFFFFF',
		'border-bottom-color':' #FFFFFF',
		'-webkit-transform': 'rotate(270deg)',
		'-moz-transform':		 'rotate(270deg)',
		'-ms-transform':		 'rotate(270deg)',
		'transform': 				 'rotate(270deg)'
	});

	$('.navbar-form, .input-group-addon, .form-control').css({
		'border': 'none',
		'box-shadow': 'none'
	});	

	$('.input-group').css('margin-bottom', '4px');

	$('.btn').css({
		'border-color': 'transparent',
		'transition': 'border-color .5s, background .5s'
	});

	$('.center').css('text-align', 'center');

	/** Default navigation bar **/
	$('.navbar-default, .navbar-default .dropdown-menu').css('background', '#00CFAF');

	$('.navbar-default .navbar-right .dropdown-menu').css('background', '#E4E4E8');

	$('.navbar-default .navbar-brand').css({
		'font-family': 'Oleo Script Swash Caps, cursive',
		'color': '#FFFFFF',
		'transition': 'color .5s'
	});

	$('.navbar-default .navbar-nav>li>a, .navbar-default .navbar-nav .dropdown-menu>li>a, .navbar-default .navbar-nav .open .dropdown-menu>li>a').css({
		'color': '#FFFFFF',
		'transition': 'background .25s, color .5s'
	});

	$('.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.open>a').css({
		'color': '#FFFFFF',
		'background': '#00B599',
		'transition': 'background .5s'
	});

	$('.navbar-default .dropdown-header, .navbar-default .navbar-nav .dropdown-menu>.disabled>a, .navbar-default .navbar-nav .open .dropdown-menu>.disabled>a').css('color', '#E0E0E0');

	$('.navbar-default .divider').css('background-color', '#E0E0E0');

	$('.navbar-default .btn').css({
		'border-color': '#00CFAF',
		'background': '#00CFAF',
		'color': '#FFFFFF'
	});

	$('.navbar-default .navbar-nav>.dropdown a .caret, .navbar-default .navbar-nav>.open>a .caret').css({
		'border-top-color': '#FFFFFF',
		'border-bottom-color': '#FFFFFF',
		'transition': 'border-color .5s'
	});

	$('.navbar-default .badge').css({
		'border-radius': '4px',
		'background': '#00B599'
	});

	$('.navbar-default .input-group-addon').css({
		'background': '#FFFFFF',
		'color': '#00CFAF'
	});

	$('.navbar-default .navbar-toggle').css({
		'outline': 'none',
		'background-color': '#00B599',
		'border-color': '#00B599'
	});

	$('.navbar-default .navbar-toggle .icon-bar').css('background-color', '#FFFFFF');

	$('.navbar-default .navbar-collapse').css('border-color', '#E0E0E0');

	/** Inverse navigation bar **/
	$('.navbar-inverse, .navbar-inverse .dropdown-menu').css('background', '#34495E');

	$('.navbar-inverse .navbar-right .dropdown-menu').css('background', '#E4E4E8');

	$('.navbar-inverse .navbar-brand').css({
		'font-family': 'Oleo Script Swash Caps, cursive',
		'color': '#FFFFFF',
		'transition': 'color .5s'
	});

	$('.navbar-inverse .navbar-nav>li>a, .navbar-inverse .navbar-nav .dropdown-menu>li>a, .navbar-inverse .navbar-nav .open .dropdown-menu>li>a').css({
		'color': '#FFFFFF',
		'transition': 'background .25s, color .5s'
	});

	$('.navbar-inverse .navbar-nav>.active>a, .navbar-inverse .navbar-nav>.open>a').css({
		'color': '#FFFFFF',
		'background': '#00CFAF',
		'transition': 'background .5s'
	});

	$('.navbar-inverse .dropdown-header, .navbar-inverse .navbar-nav .dropdown-menu>.disabled>a, .navbar-inverse .navbar-nav .open .dropdown-menu>.disabled>a').css('color', '#6F7982');

	$('.navbar-inverse .divider').css('background-color', '#6F7982');

	$('.navbar-inverse .btn').css({
		'border-color': '#00CFAF',
		'background': '#00CFAF',
		'color': '#FFFFFF'
	});

	$('.navbar-inverse .navbar-nav>.dropdown a .caret, .navbar-inverse .navbar-nav>.open>a .caret').css({
		'border-top-color': '#FFFFFF',
		'border-bottom-color': '#FFFFFF',
		'transition': 'border-color .5s'
	});

	$('.navbar-inverse .badge').css({
		'border-radius': '4px',
		'background': '#00CFAF'
	});

	$('.navbar-inverse .input-group-addon').css({
		'background': '#FFFFFF',
		'color': '#00CFAF'
	});

	$('.navbar-inverse .navbar-toggle').css({
		'outline': 'none',
		'background-color': '#2C3E50',
		'border-color': '#2C3E50'
	});

	$('.navbar-inverse .navbar-toggle .icon-bar').css('background-color', '#FFFFFF');

	$('.navbar-inverse .navbar-collapse').css('border-color', '#6F7982');

	if($(window).width() < 767){
		$('.dropdown-submenu .dropdown-menu, .dropdown-submenu:hover .dropdown-menu').css({
			'display': 'block',
			'position': 'static',
			'padding': '5px 25px'
		});
		$('.navbar-form').css('margin', 'auto');
	}

	/** Js Fallbacks **/
	if(userAgent.match(/msie/i)){ // Check if browser is an old version of Internet Explorer
		var jquery_ui  = 'http://code.jquery.com/ui/1.10.3/jquery-ui.js'; // jQuery UI

		$('head').append('<script src="' + jquery_ui + '"></script>'); // jQuery UI must be included for color animations
		$('head').append('<!--[if lte IE 8]>' +
												'<meta http-equiv="X-UA-Compatible" content="IE=edge">' +
									  		'<script src="../assets/html5shiv.js"></script>' +
									  		'<script src="../assets/respond.min.js"></script>' +
											'<![endif]-->'); // Needs respond.min.js and html5shiv.js to render in IE<9. Bootstrap 3 must be loaded locally instead of from CDN

		/** Default navigation bar **/
		$('.navbar-default .navbar-brand, .navbar-default .navbar-nav>li>a').hover(function(){
			$(this).stop().animate({ color: '#E0E0E0' }, 500);
		}, function() {
			$(this).stop().animate({ color: '#FFFFFF' }, 500);
		});

		$('.navbar-default .navbar-nav>.open>a, .navbar-default .dropdown-menu>li>a, .navbar-default .navbar-nav .open .dropdown-menu>li>a').hover(function() {
			$(this).stop().animate({ backgroundColor: '#00B599' }, 250).animate({ color: '#FFFFFF' }, 500);
		}, function(){	
			$(this).stop().animate({ backgroundColor: '#00CFAF' }, 250).animate({ color: '#FFFFFF' }, 500);
		});

		$('.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.open>a').stop().animate({ backgroundColor: '#00B599' }, 500);

		$('.navbar-default .btn').hover(function(){
			$(this).stop().animate({ borderColor: '#00D9C0', backgroundColor: '#00D9C0', color: '#FFFFFF' }, 500);
		}, function(){
			$(this).stop().animate({ borderColor: '#00CFAF', backgroundColor: '#00CFAF', color: '#FFFFFF' }, 500);
		});

		$('.navbar-default .navbar-nav>.dropdown>a').hover(function(){ 
			$(this).find('.caret').stop().animate({ borderTopColor: '#E0E0E0', borderBottomColor: '#E0E0E0' }, 500);
		}, function() {
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		});

		$('.navbar-default .navbar-nav>.open>a').hover(function(){ 
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		}, function() {
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		});

		$('.navbar-default .btn').focus(function(){ 
			$(this).animate({ borderColor: '#00B599', backgroundColor: '#00B599', color: '#FFFFFF' }, 500);
		});

		$('.navbar-default .form-control').focus(function(){
			$(this).css('border', '1px solid').animate({ borderColor: '#00CFAF'}, 500);
		});

		$('.navbar-default .form-control').focusout(function(){
			$(this).animate({ borderColor: 'transparent'}, 500);
		});	

		/** Inverse navigation bar **/
		$('.navbar-inverse .navbar-brand, .navbar-inverse .navbar-nav>li>a').hover(function(){
			$(this).stop().animate({ color: '#00CFAF' }, 500);
		}, function() {
			$(this).stop().animate({ color: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .navbar-nav>.open>a, .navbar-inverse .dropdown-menu>li>a, .navbar-inverse .navbar-nav .open .dropdown-menu>li>a').hover(function() {
			$(this).stop().animate({ backgroundColor: '#00CFAF' }, 250).animate({ color: '#FFFFFF' }, 500);
		}, function(){	
			$(this).stop().animate({ backgroundColor: '#34495E' }, 250).animate({ color: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .navbar-nav>.active>a, .navbar-inverse .navbar-nav>.open>a').stop().animate({ backgroundColor: '#00B599' }, 500);

		$('.navbar-inverse .btn').hover(function(){
			$(this).stop().animate({ borderColor: '#00D9C0', backgroundColor: '#00D9C0', color: '#FFFFFF' }, 500);
		}, function(){
			$(this).stop().animate({ borderColor: '#00CFAF', backgroundColor: '#00CFAF', color: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .navbar-nav>.dropdown>a').hover(function(){ 
			$(this).find('.caret').stop().animate({ borderTopColor: '#00CFAF', borderBottomColor: '#00CFAF' }, 500);
		}, function() {
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .navbar-nav>.open>a').hover(function(){ 
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		}, function() {
			$(this).find('.caret').stop().animate({ borderTopColor: '#FFFFFF', borderBottomColor: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .btn').focus(function(){ 
			$(this).animate({ borderColor: '#00B599', backgroundColor: '#00B599', color: '#FFFFFF' }, 500);
		});

		$('.navbar-inverse .form-control').focus(function(){
			$(this).css('border', '1px solid').animate({ borderColor: '#00CFAF'}, 500);
		});

		$('.navbar-inverse .form-control').focusout(function(){
			$(this).animate({ borderColor: 'transparent'}, 500);
		});	

	}else{ // Load functions to trigger transitions on compatible browsers
		navbar_default_hover_focus();
		navbar_inverse_hover_focus();
	}
});

$(document).on('mouseover', '.navbar-default .navbar-nav>.active>a', function(){
	$(this).css('color', '#FFFFFF');
	$(this).parent().find('.caret').css({
		'border-top-color': '#FFFFFF',
		'border-bottom-color': '#FFFFFF'
	});
});

$(document).on('mouseover', '.navbar-inverse .navbar-nav>.active>a', function(){
	$(this).css('color', '#FFFFFF');
	$(this).parent().find('.caret').css({
		'border-top-color': '#FFFFFF',
		'border-bottom-color': '#FFFFFF'
	});
});

$(document).on('mouseover', '.dropdown-submenu', function(){
	if($(window).width() >= 767){
		$(this).find('.dropdown-menu').fadeIn('fast').css('display', 'block');
	}
});

$(document).on('mouseleave', '.dropdown-submenu', function(){
	if($(window).width() >= 767){
		$(this).find('.dropdown-menu').fadeOut('fast').css('display', 'none');
	}
});

$(window).on('resize', function(){
	if($(window).width() < 767){
		$('.dropdown-submenu .dropdown-menu, .dropdown-submenu:hover .dropdown-menu').css({
			'display': 'block',
			'position': 'static',
			'padding': '5px 25px'
		});
		$('.navbar-form').css('margin', 'auto');
	}
});

/** Navigation bar active link **/
$(document).on('click','.navbar-default .navbar-nav>li>a', function(){
	$(this).closest('.navbar-default').find('.navbar-nav>li').each(function(){
		if($(this).hasClass('active')){		
			$(this).removeClass('active');
			$(this).children('a').css('background-color', 'transparent');
		}
	});
	$(this).parent().addClass('active');
	$(this).parent().each(function(){
		if($(this).hasClass('active')){
			$(this).children('a').css({
				'color': '#FFFFFF',
				'background-color': '#00B599'
			});
			$(this).find('.caret').css({
				'border-top-color': '#FFFFFF',
				'border-bottom-color': '#FFFFFF'
			});
		}
	});
});

$(document).on('click','.navbar-inverse .navbar-nav>li>a', function(){
	$(this).closest('.navbar-inverse').find('.navbar-nav>li').each(function(){
		if($(this).hasClass('active')){		
			$(this).removeClass('active');
			$(this).children('a').css('background-color', 'transparent');
		}
	});
	$(this).parent().addClass('active');
	$(this).parent().each(function(){
		if($(this).hasClass('active')){
			$(this).children('a').css({
				'color': '#FFFFFF',
				'background-color': '#00CFAF'
			});
			$(this).find('.caret').css({
				'border-top-color': '#FFFFFF',
				'border-bottom-color': '#FFFFFF'
			});
		}
	});
});